Description

Supportanfrage:

Hallo Support-Team,

lt. ADTF 2.14.0 Changlog wurde angebllich unser Ticket gefixt:

#29052  Change          [Configuration Editor] Improve performance when loading configurations wit

h nested subgraphs - {HD - TicketID 26654LFJKK}

 Wie wir nun jedoch feststellen mussten: hat sich hier rein GAR NICHTS getan !! die mitgelieferte verschachtelte Sub-Graph-Config

benötigt unter ADTF 2.13.1 (wogegen ich den Bug gemeldet hatte) exakt genauso lange zum Laden wie unter der aktuellen ADTF

2.14.0 !

nämlich (je nach Rechner Hardware) jeweils 35 (bis 40) sekunden, ...obwohl keinerlei Filter enthalten sind.

Ich bitte um Aufklärung: WAS wurde angeblich an der Performance geändert ? wieso wurde unser Test-Projekt nicht zu

Nachweis-Zwecken herangezogen, um die Wirksamkeit eines angeblichen Fixes zu testen ?

Und sollte eine ganz andere Perfomance Änderung gemacht worden sein: wieso wurde dann damit unser Ticket geschlossen ?

Falls das Referenz-Projekt nicht mehr zur Verfügung steht, hänge ich es nochmal an diese Mail dran.

Ticket #29052 ist wieder zu öffnen, und aus dem Changlog der 2.14 zu entfernen, da es keinen nachweisbaren Performance-Gewinn

gibt !

Lösung:

Die Änderung #29052 die im Changelog steht, damit Configurationen mit nested subgraphs schneller geladen werden können wurde

erfolgreich umgesetzt und getestet.

Zum Testen wurde eure Config hergenommen.

Damit diese wirksam ist, musst du lediglich wie im Usermanual S. 93: die unten genannte Option auf true stellen.

GUI: Disable type detection for subgraphs

(disable_type_detection_for_subgraphs)

If set to “true”, the performance when

loading configurations with nested

subgraphs will be improved.

 Im Grunde wird durch die Verwendung der Option, die Typenüberprüfung (Major, Minor) der Verbindungen zwischen Filtern der

Subgraphen abgeschalten.

Das sollte, solange ihr die Configuration nicht mit disable_type_detection_for_subgraphs = true ändert keine Auswirkungen haben.

D.h. wenn die Configuration ohne disable_type_detection_for_subgraphs = false lauffähig ist, sollte es keine Probleme geben.

History
#1 - 2017-03-09 11:48 - hidden

- Project changed from Public Support to 3

- Topic set to ADTF::CE

- Customer set to BMW

- Department set to SUPPORT

- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

#2 - 2017-03-09 12:52 - hidden

- Status changed from New to Customer Feedback Required

An den Anwender:

Hallo Uwe,

die Änderung #29052 die im Changelog steht, damit Configurationen mit nested subgraphs schneller geladen werden können wurde erfolgreich

umgesetzt und getestet.

Zum Testen wurde eure Config hergenommen.

Damit diese wirksam ist, musst du lediglich wie im Usermanual S. 93: die unten genannte Option auf true stellen.

GUI: Disable type detection for subgraphs

(disable_type_detection_for_subgraphs)

If set to “true”, the performance when

loading configurations with nested

subgraphs will be improved.

 Können wir dieses Ticket public machen?

#3 - 2017-03-09 14:42 - hidden

Hallo Stephan,

das ist ja interessant, vielen Dank für den Hinweis ! leider haben wir eine Rückmeldung, dass es nun dafür eine neue Option gibt, niemals erhalten.

Habs gleich mal ausprobiert: tatsächlich unser Referenz-Projekt lädt damit wirklich schnell.

Eine Frage hab ich nun aber noch, hab auch im Manual gesucht, aber nix darüber gefunden:

Im Mouse-Tooltip zu dieser neuen Option heisst es: "...could be deactivated, with loss of type information in the CE"

-> um was für Type-informations im CE handelt es sich denn dabei ? Was ist die Auswirkung, wenn die Option auf true steht ? was für ein "Type" ist

damit gemeint ?

vielen Dank für Info.

Gruß Uwe

#4 - 2017-03-09 15:08 - hidden

An den Anwender:

Hallo Uwe,

im Grunde wird durch die Verwendung der Option, die Typenüberprüfung (Major, Minor) der Verbindungen zwischen Filtern der Subgraphen

abgeschalten.

Das sollte, solange ihr die Configuration nicht mit disable_type_detection_for_subgraphs = true ändert keine Auswirkungen haben. D.h. wenn die

Configuration ohne disable_type_detection_for_subgraphs = false lauffähig ist, sollte es keine Probleme geben.

Seid ihr damit einverstanden, wenn wir dieses Ticket public machen?

#5 - 2017-03-09 15:23 - hidden

hmm, ok. Die User bei denen das Problem aufgetreten ist, sind natürlich schon Entwickler solcher umfangreichen Configs, und werden diese somit

natürlich auch permanent ändern.

Ich werde das mal so weitergeben, dass man die abgeschaltete Typ-Prüfung dabei immer im Hinterkopf haben sollte.

ja, von mir aus kann das Ticket public gemacht werden.

Gruß Uwe
#6 - 2017-03-13 10:32 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden.

#7 - 2017-03-16 17:41 - hidden

- Project changed from 3 to Public Support

- Subject changed from ADTF 2.14: lt. Changlog wurde #29052 angeblich gefixt, ein Performance-Gewinn mit dem gelieferten Referenz-Projekt ist

jedoch nicht feststellbar ! to Improve performance when loading configurations with nested subgraphs

- Status changed from To Be Closed to Closed

#8 - 2020-07-07 17:13 - hidden

- Description updated
